<div class="bg-img">
  <div class="main-container">
    <div class="header-container">
      <div class="container custom-bg custom-padding">

        <div>
          <form [formGroup]="searchForm" (ngSubmit)="onSubmit()">

            <mat-form-field appearance="outline" color="accent" [floatLabel]="floatLabelControl.value">
              <mat-label>Playlist Name</mat-label>
              <input matInput placeholder="Playlist Name" formControlName="playlistName">
            </mat-form-field>
            <mat-form-field appearance="outline" color="accent" [floatLabel]="floatLabelControl.value">
              <mat-label>Genres</mat-label>
              <mat-select formControlName="genreId">
                <mat-option value="" disabled>Choose a genre</mat-option>
                <mat-option *ngFor="let genre of genres" [value]="genre.id">{{genre.name}}</mat-option>
              </mat-select>
            </mat-form-field>
            <mat-form-field appearance="outline" color="accent" [floatLabel]="floatLabelControl.value">
              <mat-label>Max duration in minutes</mat-label>
              <input matInput placeholder="Max playlist duration" formControlName="maxDuration">
            </mat-form-field>
            <div class="form-buttons">
  
              <button mat-raised-button color="accent" [disabled]="loading">
                <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
                Filter
              </button>
  
            </div>
          </form>
        </div>
       
        <div>
          <button mat-raised-button color="warn" (click)="clearFilter()">
            Clear
          </button>
        </div>

      </div>
    </div>

    <div class="container">
      <h3>Playlists</h3>

      <div>
        <aside class="custom-bg">
          <app-playlist-list [playlists]="playlistList"></app-playlist-list>
        </aside>
      </div>
    </div>
  </div>
</div>
